<?php
if (!defined('_CAN_LOAD_FILES_'))
	exit;

class szybkikontakt extends Module
{
	public function __construct()
	{
		$this->name = 'szybkikontakt';
		$this->tab = 'other';
		$this->version = '1.4';

		parent::__construct();

		$this->displayName = $this->l('Szybki kontakt');
		$this->description = $this->l('Pozwala podać dodatkowe informacje kontaktu z obsługą sklepu');
	}

	public function install()
	{
		return (parent::install() AND Configuration::updateValue('szybkikontakt_telefon', '') AND Configuration::updateValue('szybkikontakt_email', '') AND Configuration::updateValue('gadugadu', '') AND Configuration::updateValue('skype', '') AND Configuration::updateValue('sky', '') AND Configuration::updateValue('facebook', '') AND Configuration::updateValue('fb', '') AND $this->registerHook('rightColumn') AND $this->registerHook('header') AND $this->registerHook('extraLeft'));
	}

	public function uninstall()
	{
		//Delete configuration
		return (Configuration::deleteByName('szybkikontakt_telefon') AND Configuration::deleteByName('szybkikontakt_email') AND Configuration::deleteByName('szybkikontakt_gadgadu') AND Configuration::deleteByName('szybkikontakt_skype') AND Configuration::deleteByName('szybkikontakt_sky') AND Configuration::deleteByName('szybkikontakt_facebook') AND Configuration::deleteByName('szybkikontakt_fb') AND parent::uninstall());
	}

	public function getContent()
	{
		// If we try to update the settings
		if (isset($_POST['submitModule']))
		{
			Configuration::updateValue('szybkikontakt_telefon', (preg_match('/^[0-9]+/', $_POST['telefon']) ? $_POST['telefon']: ''));
			Configuration::updateValue('szybkikontakt_email', (($_POST['email'] != '') ? $_POST['email']: ''));
			Configuration::updateValue('szybkikontakt_gadugadu', (($_POST['gadugadu'] != '') ? $_POST['gadugadu']: ''));
			Configuration::updateValue('szybkikontakt_skype', (($_POST['skype'] != '') ? $_POST['skype']: ''));
			Configuration::updateValue('szybkikontakt_sky', (($_POST['sky'] != '') ? $_POST['sky']: ''));
			Configuration::updateValue('szybkikontakt_facebook', (($_POST['facebook'] != '') ? $_POST['facebook']: ''));
			Configuration::updateValue('szybkikontakt_fb', (($_POST['fb'] != '') ? $_POST['fb']: ''));
			echo '<div class="conf confirm"><img src="../img/admin/ok.gif"/>'.$this->l('Configuration updated').'</div>';
		}

		return '
		<h2>'.$this->displayName.'</h2>
		<form action="'.Tools::htmlentitiesutf8($_SERVER['REQUEST_URI']).'" method="post">
			<fieldset class="width2">
				<legend>Telefon</legend>
				<label for="telefon">'.$this->l('Numer:').'</label>
				<input type="text" id="telefon" name="telefon" value="'.((Configuration::get('szybkikontakt_telefon') != "") ? Configuration::get('szybkikontakt_telefon') : "").'" />
			</fieldset>
			<div class="clear">&nbsp;</div>
			<fieldset class="width2">
				<legend>E-mail</legend>
				<label for="email">'.$this->l('Adres:').'</label>
				<input type="text" id="email" name="email" value="'.((Configuration::get('szybkikontakt_email') != "") ? Configuration::get('szybkikontakt_email') : "").'" />
			</fieldset>
			<div class="clear">&nbsp;</div>
			<fieldset class="width2">
				<legend>Gadu-Gadu</legend>
				<label for="gadugadu">'.$this->l('Numer:').'</label>
				<input type="text" id="gadugadu" name="gadugadu" value="'.((Configuration::get('szybkikontakt_gadugadu') != "") ? Configuration::get('szybkikontakt_gadugadu') : "").'" />
			</fieldset>
			<div class="clear">&nbsp;</div>
			<fieldset class="width2">
				<legend>Skype</legend>
				<label for="skype">'.$this->l('Login:').'</label>
				<input type="text" id="skype" name="skype" value="'.((Configuration::get('szybkikontakt_skype') != "") ? Configuration::get('szybkikontakt_skype') : "").'" />
				<div class="clear">&nbsp;</div>
				<label for="sky">'.$this->l('Pokaż jako:').'</label>
				<input type="text" id="sky" name="sky" value="'.((Configuration::get('szybkikontakt_sky') != "") ? Configuration::get('szybkikontakt_sky') : "").'" /> - '.$this->l('Opcjonalnie').'
			</fieldset>
			<div class="clear">&nbsp;</div>
			<fieldset class="width2">
				<legend>Facebook</legend>
				<label for="facebook">'.$this->l('Adres:').'</label>
				<input type="text" id="facebook" name="facebook" value="'.((Configuration::get('szybkikontakt_facebook') != "") ? Configuration::get('szybkikontakt_facebook') : "").'" />
				<div class="clear">&nbsp;</div>
				<label for="fb">'.$this->l('Pokaż jako:').'</label>
				<input type="text" id="fb" name="fb" value="'.((Configuration::get('szybkikontakt_fb') != "") ? Configuration::get('szybkikontakt_fb') : "").'" /> - '.$this->l('Opcjonalnie').'
			</fieldset>
			<div class="clear">&nbsp;</div>
			<br /><center><input type="submit" name="submitModule" value="'.$this->l('Aktualizuj ustawienia').'" class="button" /></center>
		</form>';
	}

	private function getData() {

	global $smarty;

	{if (Configuration::get('szybkikontakt_gadugadu')!='') {
		$ggplik = fopen ("http://www.gadu-gadu.pl/users/status.asp?id=".Configuration::get('szybkikontakt_gadugadu')."&styl=2", "r");
		$ggstatus = fgets($ggplik, 2);
		switch ($ggstatus) {
		   case 1:
				$ggopis=$this->l('niedostępny');
				break;
		   case 2:
				$ggopis=$this->l('dostępny');
				break;
		   case 3:
				$ggopis=$this->l('zaraz wracam');
				break;
		   default:
				$ggopis=$this->l('błąd');
				break;
		}
		fclose($ggplik);
	}}

	{if (Configuration::get('szybkikontakt_skype')!='') {
		$splik = fopen ("http://mystatus.skype.com/".Configuration::get('szybkikontakt_skype').".num", "r");

		{if ($splik != NULL) {

		$sstatus = fgets($splik, 2);
		switch ($sstatus) {
		   case 1:
				$sopis=$this->l('niedostępny');
				break;
		   case 2:
				$sopis=$this->l('dostępny');
				break;
		   case 3:
				$sopis=$this->l('zaraz wracam');
				break;
		   default:
				$sopis=$this->l('błąd');
				break;
		}
		fclose($splik);

		}else{
				$sstatus=0;
		}}
	}}

		$smarty->assign(array(
			'telefon' => Configuration::get('szybkikontakt_telefon'),
			'email' => Configuration::get('szybkikontakt_email'),
			'gadugadu' => Configuration::get('szybkikontakt_gadugadu'),
			'ggopis' => $ggopis,
			'ggstatus' => $ggstatus,
			'skype' => Configuration::get('szybkikontakt_skype'),
			'sky' => Configuration::get('szybkikontakt_sky'),
			'sopis' => $sopis,
			'sstatus' => $sstatus,
			'facebook' => Configuration::get('szybkikontakt_facebook'),
			'fb' => Configuration::get('szybkikontakt_fb'),
			'splik' => $splik
		));

	}

	public function hookHeader()
	{
		Tools::addCSS(($this->_path).'szybkikontakt.css', 'all');
	}

	public function hookRightColumn()
	{
		$this-> getData();

		return $this->display(__FILE__, 'szybkikontakt.tpl');
	}

	function hookLeftColumn($params)
	{
		return $this->hookRightColumn($params);
	}

	function hookFooter($params)
	{
		return $this->hookRightColumn($params);
	}

	function hookExtraLeft($params)
	{
		$this-> getData();

		return $this->display(__FILE__, 'szybkikontakt-product.tpl');
	}
}
?>